%define upstream_name    Data-Undump
%define upstream_version 0.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Perl extension for securely and quickly deserializing simple Data::Dumper dumps
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::LongString)
BuildRequires: perl-devel

%description
Securely and quickly deserialize simple Data::Dumper dumps.

*Note that this is an early release. Please contact the author(s) if you
intend to use this software in production.*

EXPORT
    By default exports the 'undump' subroutine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
# Tests fail on some archs
%__make test || true

%install
%make_install

%files
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.150.0-9.mga10
+ Revision: 2088020
- Rebuild against new perl

* Thu Nov 30 2023 tv <tv> 0.150.0-8.mga10
+ Revision: 2011925
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.150.0-7.mga9
+ Revision: 1861770
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.150.0-6.mga9
+ Revision: 1795656
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.150.0-5.mga9
+ Revision: 1726508
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.150.0-4.mga8
+ Revision: 1594400
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.150.0-3.mga8
+ Revision: 1529085
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 0.150.0-2.mga8
+ Revision: 1433081
- rebuild with perl-5.30

* Sat Oct 13 2018 shlomif <shlomif> 0.150.0-1.mga7
+ Revision: 1320155
- fix tests
- imported package perl-Data-Undump


* Sat Oct 13 2018 cpan2dist 0.15-1mga
- initial mageia release, generated with cpan2dist
